Partner payouts - Delete transaction history export request by Id
Deletes the transaction history export request corresponding to the transactionHistoryRequestId provided.
DELETE https://api.partner.microsoft.com/v{version}/payouts/transactionhistory/{transactionHistoryRequestId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
transaction
|
path | True |
string |
Transaction history export request Id |
|
version
|
path | True |
string |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| Client-Request-ID |
string |
ID of request provided by user |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Headers Request-ID: string |
|
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. |
|
| 404 Not Found |
The resource is not found. |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. |